commit: 2306abf7b7dff84b88c945de2701e0e364658f89
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 8 12:57:15 2020 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 8 14:28:24 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2306abf7
dev-python/pyx: Bump to 0.15, add tests
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyx/Manifest | 2 +
dev-python/pyx/pyx-0.15.ebuild | 88 ++++++++++++++++++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
diff --git a/dev-python/pyx/Manifest b/dev-python/pyx/Manifest
index 5a102d30919..aa62effd2c5 100644
--- a/dev-python/pyx/Manifest
+++ b/dev-python/pyx/Manifest
@@ -1 +1,3 @@
DIST PyX-0.14.1.tar.gz 2475186 BLAKE2B
5e18b2a052c586cfdcfcc46f5351683ce7c3ec41d508b6fd5e085be543ac3730ee866b636d3ab9663e782b95efafcc340260826c82a77955b586ad7a55676c5b
SHA512
16265bbdcaf28ce194189a2987b32952f296c850b829454bcccce0abd23838bfca0276c3e9c8e96b8cbfaf1473bf14669f9b7f2032ee039b61ae59ea3aa45a20
+DIST W3C_SVG_11_TestSuite.tar.gz 14651624 BLAKE2B
680059d8b20775725cebb3aed4444acbc3222fde880ba93ee5186c99fc12afa8df2c790bdacbcd6e5ff4ab00e697d8317a9a6ae3039b8b2f02cf7774a18ca533
SHA512
e28e3996284c3f3e423e2b6957cddea71980bcb781d4180894e08f37a7ecce9c6021917329d6d433dcba792cbabb15c7cd503076e616ba5189193a5c554374ca
+DIST pyx-0.15.gh.tar.gz 875286 BLAKE2B
49d36e1c0df3ee47a895279d7f296194324cf1582bb7db0259bcd01c9b17c4d0903c25fef10c7a22635fac62dc6378ffbece200eac99f75bb3ce81d48a71a0d1
SHA512
a7debff01f8055455855f4cac5a08d00c22d20d7918bd7341d2af83844223ae8bb23bbbe92149403656e18ffb8861e8568dfdcb59cc01c55ec60e63b62a8825a
diff --git a/dev-python/pyx/pyx-0.15.ebuild b/dev-python/pyx/pyx-0.15.ebuild
new file mode 100644
index 00000000000..eaba2324fc0
--- /dev/null
+++ b/dev-python/pyx/pyx-0.15.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python package for the generation of encapsulated PostScript
figures"
+HOMEPAGE="
+ https://github.com/pyx-project/pyx
+ https://pyx-project.org/
+ https://pypi.org/project/PyX/"
+SRC_URI="https://github.com/pyx-project/pyx/archive/${PV}.tar.gz ->
${P}.gh.tar.gz
+ test? (
https://www.w3.org/Graphics/SVG/Test/20110816/archives/W3C_SVG_11_TestSuite.tar.gz
)"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ virtual/tex-base
+ dev-texlive/texlive-basic"
+
+BDEPEND="${RDEPEND}
+ doc? (
+ virtual/latex-base
+ $(python_gen_any_dep '
+ dev-python/sphinx[latex,${PYTHON_USEDEP}]
+ dev-python/sphinx_selective_exclude[${PYTHON_USEDEP}]
+ ')
+ )
+ test? (
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_selective_exclude[${PYTHON_USEDEP}]
+ dev-python/testfixtures[${PYTHON_USEDEP}]
+ )"
+
+PATCHES=( "${FILESDIR}"/pyx-0.14.1-unicode-latex.patch )
+
+python_check_deps() {
+ use doc || return 0
+ has_version "dev-python/sphinx[latex,${PYTHON_USEDEP}]" &&
+ has_version "dev-python/sphinx_selective_exclude[${PYTHON_USEDEP}]"
+}
+
+src_unpack() {
+ unpack "${P}.gh.tar.gz"
+
+ if use test; then
+ mkdir "${S}"/test/svg/suite || die
+ cd "${S}"/test/svg/suite || die
+ unpack W3C_SVG_11_TestSuite.tar.gz
+ fi
+}
+
+src_prepare() {
+ sed -i \
+ -e 's/^build_t1code=.*/build_t1code=1/' \
+ -e 's/^build_pykpathsea=.*/build_pykpathsea=1/' \
+ setup.cfg || die "setup.cfg fix failed"
+ # stop test suite from downloading files
+ sed -i \
+ -e '/suite:/,$d' test/svg/Makefile || die
+ distutils-r1_src_prepare
+}
+
+python_compile_all() {
+ if use doc; then
+ local -x VARTEXFONTS="${T}"/fonts
+ emake -C "${S}"/manual latexpdf
+ emake -C "${S}"/faq latexpdf
+ fi
+}
+
+python_test() {
+ emake -C test
+}
+
+python_install_all() {
+ use doc && dodoc manual/_build/latex/manual.pdf
faq/_build/latex/pyxfaq.pdf
+ distutils-r1_python_install_all
+}